Schema "fpml-cd-5-5.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/transparency

Version:

  $Revision: 10093 $

Defined Components:

  2 global elements, 51 local elements, 25 complexTypes

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Users\mkoli\FpML Specifications\trunk\xml\transparency\fpml-cd-5-5.xsd; see XML source

Includes Schema:

  fpml-option-shared-5-5.xsd [src]

Included in Schema:

  fpml-main-5-5.xsd [src]

All Element Summary
adjustablePaymentDate | A fixed amount payment date that shall be subject to adjustment in accordance with the applicable business day convention if it would otherwise fall on a day that is not a business day.
Type: | xsd:date
Content: | simple
Defined: | locally witnin SinglePayment complexType; see XML source
attachmentPoint | Lower bound percentage of the loss that the Tranche can endure, expressed as a decimal.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin Tranche complexType; see XML source
basketReferenceInformation | This element contains all the terms relevant to defining the Credit Default Swap Basket.
Type: | BasketReferenceInformation
Content: | complex, 6 elements
Defined: | locally witnin GeneralTerms complexType; see XML source
calculationAmount | The notional amount of protection coverage.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin ProtectionTerms complexType; see XML source
constituentWeight (in referencePoolItem) | Describes the weight of each of the constituents within the basket.
Type: | ConstituentWeight
Content: | complex, 3 elements
Defined: | locally witnin ReferencePoolItem complexType; see XML source
creditDefaultSwap | In a credit default swap one party (the protection seller) agrees to compensate another party (the protection buyer) if a specified company or Sovereign (the reference entity) experiences a credit event, indicating it is or may be unable to service its debts.
Type: | CreditDefaultSwap
Content: | complex, 1 attribute, 8 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
creditDefaultSwap (in creditDefaultSwapOption) |
Type: | LimitedCreditDefaultSwap
Content: | complex, 3 elements
Defined: | locally witnin CreditDefaultSwapOption complexType; see XML source
creditDefaultSwapOption | An option on a credit default swap.
Type: | CreditDefaultSwapOption
Content: | complex, 1 attribute, 17 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
creditEvents | This element contains all the ISDA terms relating to credit events.
Type: | CreditEvents
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin ProtectionTerms complexType; see XML source
dayCountFraction (in fixedAmountCalculation) | The day count fraction.
Type: | DayCountFraction
Content: | simple, 1 attribute
Defined: | locally witnin FixedAmountCalculation complexType; see XML source
effectiveDate (defined in GeneralTerms complexType) | The first day of the term of the trade.
Type: | AdjustableDate2
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin GeneralTerms complexType; see XML source
entityType | Defines the reference entity types corresponding to a list of types in the ISDA First to Default documentation.
Type: | EntityType
Content: | simple, 1 attribute
Defined: | locally witnin ReferencePair complexType; see XML source
exhaustionPoint | Upper bound percentage of the loss that the Tranche can endure, expressed as a decimal.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin Tranche complexType; see XML source
feeLeg (in creditDefaultSwap in creditDefaultSwapOption) | This element contains all the terms relevant to defining the fixed amounts/payments per the applicable ISDA definitions.
Type: | FeeLeg
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin LimitedCreditDefaultSwap complexType; see XML source
feeLeg (in creditDefaultSwap) | This element contains all the terms relevant to defining the fixed amounts/payments per the applicable ISDA definitions.
Type: | FeeLeg
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin CreditDefaultSwap complexType; see XML source
fixedAmount (in periodicPayment) | A fixed payment amount.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin PeriodicPayment complexType; see XML source
fixedAmount (in singlePayment) | A fixed payment amount.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin SinglePayment complexType; see XML source
fixedAmountCalculation | This element contains all the terms relevant to calculating a fixed amount where the fixed amount is calculated by reference to a per annum fixed rate.
Type: | FixedAmountCalculation
Content: | complex, 2 elements
Defined: | locally witnin PeriodicPayment complexType; see XML source
fixedRate (in fixedAmountCalculation) | The calculation period fixed rate.
Type: | FixedRate
Content: | simple, 1 attribute
Defined: | locally witnin FixedAmountCalculation complexType; see XML source
generalTerms (in creditDefaultSwap in creditDefaultSwapOption) | This element contains all the data that appears in the section entitled "1.
Type: | GeneralTerms
Content: | complex, 5 elements
Defined: | locally witnin LimitedCreditDefaultSwap complexType; see XML source
generalTerms (in creditDefaultSwap) | This element contains all the data that appears in the section entitled "1.
Type: | GeneralTerms
Content: | complex, 5 elements
Defined: | locally witnin CreditDefaultSwap complexType; see XML source
indexId (in indexReferenceInformation) | A CDS index identifier (e.g.
Type: | IndexId
Content: | simple, 1 attribute
Defined: | locally witnin IndexReferenceInformation complexType; see XML source
indexId (in indexReferenceInformation) | A CDS index identifier (e.g.
Type: | IndexId
Content: | simple, 1 attribute
Defined: | locally witnin IndexReferenceInformation complexType; see XML source
indexName | The name of the index expressed as a free format string.
Type: | IndexName
Content: | simple, 1 attribute
Defined: | locally witnin IndexReferenceInformation complexType; see XML source
indexReferenceInformation | This element contains all the terms relevant to defining the Credit DefaultSwap Index.
Type: | IndexReferenceInformation
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin GeneralTerms complexType; see XML source
initialPayment | Specifies a single fixed payment that is payable by the payer to the receiver on the initial payment date.
Type: | InitialPayment
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin FeeLeg complexType; see XML source
mthToDefault | M th reference obligation to default to allow representation of N th to M th defaults.
Type: | xsd:positiveInteger
Content: | simple
Defined: | locally witnin BasketReferenceInformation complexType; see XML source
noReferenceObligation (in referenceInformation) | Used to indicate that there is no Reference Obligation associated with this Credit Default Swap and that there will never be one.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin ReferenceInformation complexType; see XML source
noReferenceObligation (in referencePair) | Used to indicate that there is no Reference Obligation associated with this Credit Default Swap and that there will never be one.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin ReferencePair complexType; see XML source
nthToDefault | N th reference obligation to default triggers payout.
Type: | xsd:positiveInteger
Content: | simple
Defined: | locally witnin BasketReferenceInformation complexType; see XML source
paymentAmount (in initialPayment) | A fixed payment amount.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin InitialPayment complexType; see XML source
paymentFrequency (in periodicPayment) | The time interval between regular fixed rate payer payment dates.
Type: | Period
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin PeriodicPayment complexType; see XML source
periodicPayment | Specifies a periodic schedule of fixed amounts that are payable by the buyer to the seller on the fixed rate payer payment dates.
Type: | PeriodicPayment
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin FeeLeg complexType; see XML source
price (in strike in creditDefaultSwapOption) | The strike of a credit default swap option or credit swaption when expressed as in reference to the price of the underlying obligation(s) or index.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin CreditOptionStrike complexType; see XML source
protectionTerms (in creditDefaultSwap in creditDefaultSwapOption) | This element contains all the terms relevant to defining the applicable floating rate payer calculation amount, credit events and associated conditions to settlement, and reference obligations.
Type: | ProtectionTerms
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin LimitedCreditDefaultSwap complexType; see XML source
protectionTerms (in creditDefaultSwap) | This element contains all the terms relevant to defining the applicable floating rate payer calculation amount, credit events and associated conditions to settlement, and reference obligations.
Type: | ProtectionTerms
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CreditDefaultSwap complexType; see XML source
referenceEntity (in referenceInformation) | The corporate or sovereign entity on which you are buying or selling protection and any successor that assumes all or substantially all of its contractual and other obligations.
Type: | LegalEntity
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin ReferenceInformation complexType; see XML source
referenceEntity (in referencePair) | The corporate or sovereign entity on which you are buying or selling protection and any successor that assumes all or substantially all of its contractual and other obligations.
Type: | LegalEntity
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin ReferencePair complexType; see XML source
referenceInformation | This element contains all the terms relevant to defining the reference entity and reference obligation(s).
Type: | ReferenceInformation
Content: | complex, 4 elements
Defined: | locally witnin GeneralTerms complexType; see XML source
referenceObligation (in referenceInformation) | The Reference Obligation is a financial instrument that is either issued or guaranteed by the reference entity.
Type: | ReferenceObligation
Content: | complex, 4 elements
Defined: | locally witnin ReferenceInformation complexType; see XML source
referenceObligation (in referencePair) | The Reference Obligation is a financial instrument that is either issued or guaranteed by the reference entity.
Type: | ReferenceObligation
Content: | complex, 4 elements
Defined: | locally witnin ReferencePair complexType; see XML source
referencePair |
Type: | ReferencePair
Content: | complex, 4 elements
Defined: | locally witnin ReferencePoolItem complexType; see XML source
referencePool | This element contains all the reference pool items to define the reference entity and reference obligation(s) in the basket
Type: | ReferencePool
Content: | complex, 1 element
Defined: | locally witnin BasketReferenceInformation complexType; see XML source
referencePoolItem |
Type: | ReferencePoolItem
Content: | complex, 2 elements
Defined: | locally witnin ReferencePool complexType; see XML source
scheduledTerminationDate | The scheduled date on which the credit protection will lapse.
Type: | AdjustableDate2
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin GeneralTerms complexType; see XML source
singlePayment | Specifies a single fixed amount that is payable by the buyer to the seller on the fixed rate payer payment date.
Type: | SinglePayment
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin FeeLeg complexType; see XML source
spread (in strike in creditDefaultSwapOption) | The strike of a credit default swap option or credit swaption when expressed as a spread per annum.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin CreditOptionStrike complexType; see XML source
step (defined in CalculationAmount complexType) | A schedule of step date and value pairs.
Type: | Step
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CalculationAmount complexType; see XML source
strike (in creditDefaultSwapOption) | Specifies the strike of the option on credit default swap.
Type: | CreditOptionStrike
Content: | complex, 3 elements
Defined: | locally witnin CreditDefaultSwapOption complexType; see XML source
strikeReference | The strike of a credit default swap option or credit swaption when expressed in reference to the spread of the underlying swap (typical practice in the case of single name swaps).
Type: | FixedRateReference
Content: | empty, 1 attribute
Defined: | locally witnin CreditOptionStrike complexType; see XML source
tranche (in basketReferenceInformation) | This element contains CDS tranche terms.
Type: | Tranche
Content: | complex, 2 elements
Defined: | locally witnin BasketReferenceInformation complexType; see XML source
tranche (in indexReferenceInformation) | This element contains CDS tranche terms.
Type: | Tranche
Content: | complex, 2 elements
Defined: | locally witnin IndexReferenceInformation complexType; see XML source
unknownReferenceObligation | Used to indicate that the Reference obligation associated with the Credit Default Swap is currently not known.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin ReferenceInformation complexType; see XML source

Complex Type Summary
BasketReferenceInformation | CDS Basket Reference Information
Content: | complex, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
CalculationAmount |
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | never
CreditDefaultSwap |
Content: | complex, 1 attribute, 8 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
CreditDefaultSwapOption | A complex type to support the credit default swap option.
Content: | complex, 1 attribute, 17 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
CreditOptionStrike | A complex type to specify the strike of a credit swaption or a credit default swap option.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
EntityType | Defines a coding scheme of the entity types defined in the ISDA First to Default documentation.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
FeeLeg |
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations
FixedAmountCalculation |
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
FixedRate | The calculation period fixed rate.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
FixedRateReference |
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
GeneralTerms |
Content: | complex, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 2 locations
IndexId |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 2 locations
IndexName |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
IndexReferenceInformation | A type defining a Credit Default Swap Index.
Content: | complex, 1 attribute, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 4 elements
Used: | at 1 location
InitialPayment |
Content: | complex, 1 attribute, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
LimitedCreditDefaultSwap | A limited version of the CDS type used as an underlyer to CDS options in Transparency view, to avoid requiring product type etc.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
PeriodicPayment |
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
ProtectionTerms |
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 2 locations
ReferenceInformation |
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
ReferenceObligation |
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations
ReferencePair |
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
ReferencePool | This type contains all the reference pool items to define the reference entity and reference obligation(s) in the basket.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
ReferencePoolItem | This type contains all the constituent weight and reference information.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
SinglePayment |
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
Tranche | This type represents a CDS Tranche.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2013 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="trnsp" ecore:package="org.fpml.transparency" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/transparency" version="$Revision: 10093 $" xmlns="http://www.fpml.org/FpML-5/transparency" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:fpml-annotation="http://www.fpml.org/annotation" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:include schemaLocation="fpml-option-shared-5-5.xsd"/> <!--View Generation: SKIPPED AdditionalFixedPayments - NonStandardFeature--> <!--View Generation: SKIPPED AdditionalTerm - Documentation--> <!--View Generation: SKIPPED AdjustedPaymentDates - DateAdjustments--> <xsd:complexType name="BasketReferenceInformation"> <xsd:annotation> <xsd:documentation xml:lang="en">CDS Basket Reference Information</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group minOccurs="0" ref="BasketIdentifier.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Reuses the group that specifies a name and an identifier for a given basket. </xsd:documentation> </xsd:annotation> </xsd:group> <xsd:element minOccurs="0" name="referencePool" type="ReferencePool"> <xsd:annotation> <xsd:documentation xml:lang="en"> This element contains all the reference pool items to define the reference entity and reference obligation(s) in the basket </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice minOccurs="0"> <xsd:sequence> <xsd:element minOccurs="0" name="nthToDefault" type="xsd:positiveInteger"> <xsd:annotation> <xsd:documentation xml:lang="en"> N th reference obligation to default triggers payout. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="mthToDefault" type="xsd:positiveInteger"> <xsd:annotation> <xsd:documentation xml:lang="en"> M th reference obligation to default to allow representation of N th to M th defaults. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:element name="tranche" type="Tranche"> <xsd:annotation> <xsd:documentation xml:lang="en">This element contains CDS tranche terms.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CalculationAmount"> <xsd:complexContent> <xsd:extension base="Money"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="step" type="Step"> <xsd:annotation> <xsd:documentation xml:lang="en"> A schedule of step date and value pairs. On each step date the associated step value becomes effective. A list of steps may be ordered in the document by ascending step date. An FpML document containing an unordered list of steps is still regarded as a conformant document. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!--View Generation: SKIPPED CashSettlementTerms - Documentation--> <xsd:complexType name="CreditDefaultSwap"> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:element name="generalTerms" type="GeneralTerms"> <xsd:annotation> <xsd:documentation xml:lang="en"> This element contains all the data that appears in the section entitled "1. General Terms" in the 2003 ISDA Credit Derivatives Confirmation. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="feeLeg" type="FeeLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> This element contains all the terms relevant to defining the fixed amounts/payments per the applicable ISDA definitions. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" name="protectionTerms" type="ProtectionTerms"> <xsd:annotation> <xsd:documentation xml:lang="en"> This element contains all the terms relevant to defining the applicable floating rate payer calculation amount, credit events and associated conditions to settlement, and reference obligations. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED - Standardized--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CreditDefaultSwapOption"> <xsd:annotation> <xsd:documentation xml:lang="en"> A complex type to support the credit default swap option. </xsd:documentation> <!--IY: ETTF pretrade IRS and CDS--> </xsd:annotation> <xsd:complexContent> <xsd:extension base="OptionBaseExtended"> <xsd:sequence> <xsd:element name="strike" type="CreditOptionStrike"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the strike of the option on credit default swap. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="creditDefaultSwap" type="LimitedCreditDefaultSwap"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CreditOptionStrike"> <xsd:annotation> <xsd:documentation xml:lang="en"> A complex type to specify the strike of a credit swaption or a credit default swap option. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element name="spread" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The strike of a credit default swap option or credit swaption when expressed as a spread per annum. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="price" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The strike of a credit default swap option or credit swaption when expressed as in reference to the price of the underlying obligation(s) or index. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="strikeReference" type="FixedRateReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> The strike of a credit default swap option or credit swaption when expressed in reference to the spread of the underlying swap (typical practice in the case of single name swaps). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <!--View Generation: SKIPPED DeliverableObligations - Documentation--> <xsd:complexType name="EntityType"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines a coding scheme of the entity types defined in the ISDA First to Default documentation. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/entity-type" name="entityTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="FeeLeg"> <xsd:complexContent> <xsd:extension base="Leg"> <xsd:sequence> <xsd:element minOccurs="0" name="initialPayment" type="InitialPayment"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies a single fixed payment that is payable by the payer to the receiver on the initial payment date. The fixed payment to be paid is specified in terms of a known currency amount. This element should be used for CDS Index trades and can be used for CDS trades where it is necessary to represent a payment from Seller to Buyer. For CDS trades where a payment is to be made from Buyer to Seller the feeLeg/singlePayment structure must be used. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="singlePayment" type="SinglePayment"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies a single fixed amount that is payable by the buyer to the seller on the fixed rate payer payment date. The fixed amount to be paid is specified in terms of a known currency amount. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="periodicPayment" type="PeriodicPayment"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies a periodic schedule of fixed amounts that are payable by the buyer to the seller on the fixed rate payer payment dates. The fixed amount to be paid on each payment date can be specified in terms of a known currency amount or as an amount calculated on a formula basis by reference to a per annum fixed rate. The applicable business day convention and business day for adjusting any fixed rate payer payment date if it would otherwise fall on a day that is not a business day are those specified in the dateAdjustments element within the generalTerms component. ISDA 2003 Term: </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED marketFixedRate - Other - supported in 'quote' element--> <!--View Generation: SKIPPED paymentDelay - Standardized--> <!--View Generation: SKIPPED initialPoints - Other - supported in 'quote' element--> <!--View Generation: SKIPPED quotationStyle - Other - supported in quote element--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="FixedAmountCalculation"> <xsd:sequence> <!--View Generation: SKIPPED calculationAmount - Standardized--> <xsd:element name="fixedRate" type="FixedRate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The calculation period fixed rate. A per annum rate, expressed as a decimal. A fixed rate of 5% would be represented as 0.05. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="dayCountFraction" type="DayCountFraction"> <xsd:annotation> <xsd:documentation xml:lang="en"> The day count fraction. ISDA 2003 Term: Fixed Rate Day Count Fraction. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="FixedRate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The calculation period fixed rate. A per annum rate, expressed as a decimal. A fixed rate of 5% would be represented as 0.05. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="xsd:decimal"> <xsd:attribute name="id" type="xsd:ID" use="optional"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="FixedRateReference"> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="FixedRate" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!--View Generation: SKIPPED FloatingAmountEvents - Documentation--> <!--View Generation: SKIPPED FloatingAmountProvisions - Documentation--> <xsd:complexType name="GeneralTerms"> <xsd:sequence> <xsd:element name="effectiveDate" type="AdjustableDate2"> <xsd:annotation> <xsd:documentation xml:lang="en"> The first day of the term of the trade. This day may be subject to adjustment in accordance with a business day convention. ISDA 2003 Term: Effective Date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="scheduledTerminationDate" type="AdjustableDate2"> <xsd:annotation> <xsd:documentation xml:lang="en"> The scheduled date on which the credit protection will lapse. This day may be subject to adjustment in accordance with a business day convention. ISDA 2003 Term: Scheduled Termination Date. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED - PartySpecific--> <!--IY: ETTF pretrade IRS and CDS--> <!--View Generation: SKIPPED dateAdjustments - DateAdjustments--> <xsd:choice> <xsd:element name="referenceInformation" type="ReferenceInformation"> <xsd:annotation> <xsd:documentation xml:lang="en"> This element contains all the terms relevant to defining the reference entity and reference obligation(s). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="indexReferenceInformation" type="IndexReferenceInformation"> <xsd:annotation> <xsd:documentation xml:lang="en"> This element contains all the terms relevant to defining the Credit DefaultSwap Index. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="basketReferenceInformation" type="BasketReferenceInformation"> <xsd:annotation> <xsd:documentation xml:lang="en"> This element contains all the terms relevant to defining the Credit Default Swap Basket. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <!--View Generation: SKIPPED additionalTerm - Documentation--> <!--View Generation: SKIPPED substitution - Documentation--> <!--View Generation: SKIPPED modifiedEquityDelivery - Documentation--> </xsd:sequence> </xsd:complexType> <!--View Generation: SKIPPED IndexAnnexSource - Documentation--> <xsd:complexType name="IndexId"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="indexIdScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="IndexName"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="indexNameScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="IndexReferenceInformation"> <xsd:annotation> <xsd:documentation xml:lang="en">A type defining a Credit Default Swap Index.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:sequence> <xsd:element name="indexName" type="IndexName"> <xsd:annotation> <xsd:documentation xml:lang="en"> The name of the index expressed as a free format string. FpML does not define usage rules for this element. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="indexId" type="IndexId"> <xsd:annotation> <xsd:documentation xml:lang="en">A CDS index identifier (e.g. RED pair code).</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:sequence> <xsd:element maxOccurs="unbounded" name="indexId" type="IndexId"> <xsd:annotation> <xsd:documentation xml:lang="en">A CDS index identifier (e.g. RED pair code).</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:choice> <!--View Generation: SKIPPED indexSeries - Documentation--> <!--View Generation: SKIPPED indexAnnexVersion - Documentation--> <!--View Generation: SKIPPED indexAnnexDate - Documentation--> <!--View Generation: SKIPPED indexAnnexSource - Documentation--> <!--View Generation: SKIPPED excludedReferenceEntity - Documentation--> <xsd:element minOccurs="0" name="tranche" type="Tranche"> <xsd:annotation> <xsd:documentation xml:lang="en">This element contains CDS tranche terms.</xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED settledEntityMatrix - Documentation--> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="InitialPayment"> <xsd:complexContent> <xsd:extension base="PaymentBase"> <xsd:sequence> <!--View Generation: SKIPPED - PartySpecific--> <!--View Generation: SKIPPED adjustablePaymentDate - Standardized--> <!--View Generation: SKIPPED adjustedPaymentDate - Standardized--> <xsd:element name="paymentAmount" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en">A fixed payment amount.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!--View Generation: SKIPPED InterestShortFall - Documentation--> <xsd:complexType name="LimitedCreditDefaultSwap"> <xsd:annotation> <xsd:documentation xml:lang="en"> A limited version of the CDS type used as an underlyer to CDS options in Transparency view, to avoid requiring product type etc. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="generalTerms" type="GeneralTerms"> <xsd:annotation> <xsd:documentation xml:lang="en"> This element contains all the data that appears in the section entitled "1. General Terms" in the 2003 ISDA Credit Derivatives Confirmation. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="feeLeg" type="FeeLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> This element contains all the terms relevant to defining the fixed amounts/payments per the applicable ISDA definitions. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" name="protectionTerms" type="ProtectionTerms"> <xsd:annotation> <xsd:documentation xml:lang="en"> This element contains all the terms relevant to defining the applicable floating rate payer calculation amount, credit events and associated conditions to settlement, and reference obligations. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <!--View Generation: SKIPPED LoanParticipation - Documentation--> <!--View Generation: SKIPPED MatrixSource - Documentation--> <!--View Generation: SKIPPED MultipleValuationDates - Standardized--> <!--View Generation: SKIPPED NotDomesticCurrency - Standardized--> <!--View Generation: SKIPPED Obligations - Standardized--> <!--View Generation: SKIPPED PCDeliverableObligationCharac - Standardized--> <xsd:complexType name="PeriodicPayment"> <xsd:complexContent> <xsd:extension base="PaymentBase"> <xsd:sequence> <xsd:element minOccurs="0" name="paymentFrequency" type="Period"> <xsd:annotation> <xsd:documentation xml:lang="en"> The time interval between regular fixed rate payer payment dates. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED firstPeriodStartDate - Standardized--> <!--View Generation: SKIPPED firstPaymentDate - Standardized--> <!--View Generation: SKIPPED lastRegularPaymentDate - Standardized--> <!--View Generation: SKIPPED rollConvention - Standardized--> <xsd:choice> <xsd:element name="fixedAmount" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> A fixed payment amount. ISDA 2003 Term: Fixed Amount </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="fixedAmountCalculation" type="FixedAmountCalculation"> <xsd:annotation> <xsd:documentation xml:lang="en"> This element contains all the terms relevant to calculating a fixed amount where the fixed amount is calculated by reference to a per annum fixed rate. There is no corresponding ISDA 2003 Term. The equivalent is Sec 5.1 "Calculation of Fixed Amount" but this in itself is not a defined Term. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <!--View Generation: SKIPPED adjustedPaymentDates - DateAdjustments--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!--View Generation: SKIPPED PhysicalSettlementPeriod - Standardized--> <!--View Generation: SKIPPED PhysicalSettlementTerms - Standardized--> <xsd:complexType name="ProtectionTerms"> <xsd:sequence> <xsd:element name="calculationAmount" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> The notional amount of protection coverage. ISDA 2003 Term: Floating Rate Payer Calculation Amount </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="creditEvents" type="CreditEvents"> <xsd:annotation> <xsd:documentation xml:lang="en"> This element contains all the ISDA terms relating to credit events. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED obligations - Standardized--> <!--View Generation: SKIPPED floatingAmountEvents - Standardized--> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="optional"/> </xsd:complexType> <!--View Generation: SKIPPED ProtectionTermsReference - Standardized--> <xsd:complexType name="ReferenceInformation"> <xsd:sequence> <xsd:element name="referenceEntity" type="LegalEntity"> <xsd:annotation> <xsd:documentation xml:lang="en"> The corporate or sovereign entity on which you are buying or selling protection and any successor that assumes all or substantially all of its contractual and other obligations. It is vital to use the correct legal name of the entity and to be careful not to choose a subsidiary if you really want to trade protection on a parent company. Please note, Reference Entities cannot be senior or subordinated. It is the obligations of the Reference Entities that can be senior or subordinated. ISDA 2003 Term: Reference Entity </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice minOccurs="0"> <xsd:element maxOccurs="unbounded" name="referenceObligation" type="ReferenceObligation"> <xsd:annotation> <xsd:documentation xml:lang="en"> The Reference Obligation is a financial instrument that is either issued or guaranteed by the reference entity. It serves to clarify the precise reference entity protection is being offered upon, and its legal position with regard to other related firms (parents/subsidiaries). Furthermore the Reference Obligation is ALWAYS deliverable and establishes the Pari Passu ranking (as the deliverable bonds must rank equal to the reference obligation). ISDA 2003 Term: Reference Obligation </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="noReferenceObligation" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Used to indicate that there is no Reference Obligation associated with this Credit Default Swap and that there will never be one. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="unknownReferenceObligation" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Used to indicate that the Reference obligation associated with the Credit Default Swap is currently not known. This is not valid for Legal Confirmation purposes, but is valid for earlier stages in the trade life cycle (e.g. Broker Confirmation). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <!--View Generation: SKIPPED allGuarantees - Standardized--> <!--View Generation: SKIPPED referencePrice - Standardized--> <!--View Generation: SKIPPED referencePolicy - Standardized--> <!--View Generation: SKIPPED securedList - Documentation--> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ReferenceObligation"> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element ref="bond"/> <xsd:element ref="convertibleBond"/> <xsd:element ref="mortgage"/> <xsd:element ref="loan"/> </xsd:choice> <!--View Generation: Skipped an empty choice.--> <!--View Generation: SKIPPED - Standardized--> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ReferencePair"> <xsd:sequence> <xsd:element minOccurs="0" name="referenceEntity" type="LegalEntity"> <xsd:annotation> <xsd:documentation xml:lang="en"> The corporate or sovereign entity on which you are buying or selling protection and any successor that assumes all or substantially all of its contractual and other obligations. It is vital to use the correct legal name of the entity and to be careful not to choose a subsidiary if you really want to trade protection on a parent company. Please note, Reference Entities cannot be senior or subordinated. It is the obligations of the Reference Entities that can be senior or subordinated. ISDA 2003 Term: Reference Entity </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice minOccurs="0"> <xsd:element name="referenceObligation" type="ReferenceObligation"> <xsd:annotation> <xsd:documentation xml:lang="en"> The Reference Obligation is a financial instrument that is either issued or guaranteed by the reference entity. It serves to clarify the precise reference entity protection is being offered upon, and its legal position with regard to other related firms (parents/subsidiaries). Furthermore the Reference Obligation is ALWAYS deliverable and establishes the Pari Passu ranking (as the deliverable bonds must rank equal to the reference obligation). ISDA 2003 Term: Reference Obligation </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="noReferenceObligation" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Used to indicate that there is no Reference Obligation associated with this Credit Default Swap and that there will never be one. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element minOccurs="0" name="entityType" type="EntityType"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines the reference entity types corresponding to a list of types in the ISDA First to Default documentation. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ReferencePool"> <xsd:annotation> <xsd:documentation xml:lang="en"> This type contains all the reference pool items to define the reference entity and reference obligation(s) in the basket. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="referencePoolItem" type="ReferencePoolItem"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ReferencePoolItem"> <xsd:annotation> <xsd:documentation xml:lang="en"> This type contains all the constituent weight and reference information. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="constituentWeight" type="ConstituentWeight"> <xsd:annotation> <xsd:documentation xml:lang="en"> Describes the weight of each of the constituents within the basket. If not provided, it is assumed to be equal weighted. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="referencePair" type="ReferencePair"/> <!--View Generation: SKIPPED protectionTermsReference - Unsupported--> <!--View Generation: SKIPPED settlementTermsReference - Unsupported--> </xsd:sequence> </xsd:complexType> <!--View Generation: SKIPPED SettledEntityMatrix - Documentation--> <!--IY: Moved to option-shared "SettlementTerms" for EQS PSA CFD proposal --> <!--View Generation: SKIPPED SettlementTermsReference - Documentation--> <xsd:complexType name="SinglePayment"> <xsd:complexContent> <xsd:extension base="PaymentBase"> <xsd:sequence> <xsd:element minOccurs="0" name="adjustablePaymentDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> A fixed amount payment date that shall be subject to adjustment in accordance with the applicable business day convention if it would otherwise fall on a day that is not a business day. The applicable business day convention and business day are those specified in the dateAdjustments element within the generalTerms component. ISDA 2003 Term: Fixed Rate Payer Payment Date </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED adjustedPaymentDate - Standardized--> <xsd:element name="fixedAmount" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> A fixed payment amount. ISDA 2003 Term: Fixed Amount </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!--View Generation: SKIPPED SingleValuationDate - Standardized--> <!--View Generation: SKIPPED SpecifiedCurrency - Unsupported--> <xsd:complexType name="Tranche"> <xsd:annotation> <xsd:documentation xml:lang="en">This type represents a CDS Tranche.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="attachmentPoint" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Lower bound percentage of the loss that the Tranche can endure, expressed as a decimal. An attachment point of 5% would be represented as 0.05. The difference between Attachment and Exhaustion points is call the width of the Tranche. A schema facet to constraint the value between 0 to 1 will be introduced in FpML 4.3. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="exhaustionPoint" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Upper bound percentage of the loss that the Tranche can endure, expressed as a decimal. An exhaustion point of 5% would be represented as 0.05. The difference between Attachment and Exhaustion points is call the width of the Tranche. A schema facet to constraint the value between 0 to 1 will be introduced in FpML 4.3. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED incurredRecoveryApplicable - Unsupported--> </xsd:sequence> </xsd:complexType> <!--View Generation: SKIPPED ValuationDate - Unsupported--> <xsd:element name="creditDefaultSwap" substitutionGroup="product" type="CreditDefaultSwap"> <xsd:annotation> <xsd:documentation xml:lang="en"> In a credit default swap one party (the protection seller) agrees to compensate another party (the protection buyer) if a specified company or Sovereign (the reference entity) experiences a credit event, indicating it is or may be unable to service its debts. The protection seller is typically paid a fee and/or premium, expressed as an annualized percent of the notional in basis points, regularly over the life of the transaction or otherwise as agreed by the parties. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="creditDefaultSwapOption" substitutionGroup="product" type="CreditDefaultSwapOption"> <xsd:annotation> <xsd:documentation xml:lang="en">An option on a credit default swap.</xsd:documentation> <!--IY: ETTF pretrade IRS and CDS--> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED FixedRecovery.model - Unsupported--> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.